import { useState, useMemo, useRef, useEffect } from 'react';
import { useFrame } from '@react-three/fiber';
import { useFBX, useAnimations } from '@react-three/drei';
import * as THREE from 'three';
import { MODEL_BOX_SCALE } from '@/config/setting'
import * as Common from '../utils/common';

const Box = (props) => {
    const { position = [0, 300, 0], rotationY = 0 } = props;

    const boxModel = useMemo(() => {
        const fbx = useFBX('/models/box/box.fbx');
        if (!fbx.castShadow) {
            Common.setShadow(fbx);
        }
        fbx.scale.set(MODEL_BOX_SCALE, MODEL_BOX_SCALE, MODEL_BOX_SCALE);
        return fbx.clone();
    }, [])

    useEffect(() => {

    }, []);

    return (
        <>
            <group rotation-y={rotationY} position={position}>
                <primitive object={boxModel} castShadow />
            </group>
        </>
    )
}

export default Box;